function onTalk()
	
	disableMovement()

	say("KTA_CTS_LUA")
	
    choiceDialog({
        { 
			"KTA_CTS_important",
		},
		{ 
			"KTA_CTS_map",
		},
		{ 
			"KTA_CTS_warning",
		},
		{ 
			"KTA_CTS_convince",
		},
		{ 
			"KTA_CTS_bprog",
		},
		{ 
			"KTA_CTS_bs",
		},
		{ 
			"KTA_CTS_bye",
			onEnd = function ()
                closeChoiceDialog()
            end
		},
		{ 
			"KTA_CTS_fa",
		},
	})
	
    enableMovement()
end

function onEnd(room, wasSkipped)
	enableMovement()
end